Package org.gradle.api

# Interface NamedDomainObjectFactory<T>

Type Parameters:
  `T` - The type of objects which this factory creates.

public interface NamedDomainObjectFactory<T>
A factory for named objects of type `T`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `create(String name)`
  Creates a new object with the given name.

- ## Method Details

  - ### create

    T create(String name)
    Creates a new object with the given name.
    Parameters:
      `name` - The name
    Returns:
      The object.